package intrinsic.mx.effects.effectClasses;

public class DissolveInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */

	/** Variables */
	public int color;
	public double alphaFrom;
	public double alphaTo;
	public intrinsic.mx.graphics.RoundedRectangle targetArea;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DissolveInstance() {
}

public DissolveInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void onTweenUpdate(Object arg0);
public native void onTweenEnd(Object arg0);
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void play();

}
